import Layout from "@/layout";

const HomeRoutes = {
  path: "/statisticalanalysis",
  component: Layout,
  name: "Statisticalanalysis",
  redirect: "/statisticalanalysis/loadingweight",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: {
    title: "统计分析",
    elSvgIcon: "analyseIcon",
    breadcrumb: false,
    roles: ["statistical_analysis_page"],
  },
  children: [
    {
      path: "/statisticalanalysis/loadingweight",
      name: "Loadingweight",
      meta: {
        title: "加货重量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/loadingweight/index.vue"),
    },
    {
      path: "/statisticalanalysis/flightvolume",
      name: "Flightvolume",
      meta: {
        title: "航班量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/flightvolume/index.vue"),
    },
    {
      path: "/statisticalanalysis/specialGoodsStatistics",
      name: "SpecialGoodsStatistics",
      meta: {
        title: "特货统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/specialGoodsStatistics/index.vue"),
    },
    {
      path: "/statisticalanalysis/cargovolume",
      name: "Cargovolume",
      meta: {
        title: "货量统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/cargovolume/index.vue"),
    },
    {
      path: "/statisticalanalysis/pickingstatistics",
      name: "Pickingstatistics",
      meta: {
        title: "拉货统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/pickingstatistics/index.vue"),
    },
    {
      path: "/statisticalanalysis/domesticinbound",
      name: "Domesticinbound",
      meta: {
        title: "国内进港保障时间统计",
      },
      component: () =>
        import("@/views/statisticalanalysis/domesticinbound/index.vue"),
    },
  ],
};

export default [HomeRoutes];
